Opened 11 years ago

Closed 11 years ago

#237 closed defect (fixed)

libpcap update for pppd active-filter

Reported by: anonymous Owned by: florian
Priority: normal Milestone: 1.0-rc5
Component: base system Version: 1.0
Keywords: Cc:


Because of this from the pppd README:

>* The code has been updated to work with version 0.8.3 of libpcap.
>  Unfortunately the libpcap maintainers removed support for the
>  "inbound" and "outbound" keywords on PPP links, meaning that if you
>  link pppd with libpcap-0.8.3, you can't use those keywords in the
>  active-filter and pass-filter expressions.  The support has been
>  reinstated in the CVS version and should be in future libpcap
>  releases.  If you need the in/outbound keywords, use a later release
>  than 0.8.3, or get the CVS version from

libpcap in WR needs an update to make it possible to use
active-filter in/outbound

Attachments (0)

Change History (2)

comment:1 Changed 11 years ago by florian

  • Owner changed from developers to florian

comment:2 Changed 11 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r3144 for whiterussian, r3139 for kamikaze, thanks for reporting. PPP support for filtering will come later

Add Comment

Modify Ticket

as closed .
The resolution will be deleted. Next status will be 'reopened'.

E-mail address and user name can be saved in the Preferences.

Note: See TracTickets for help on using tickets.